## ffindex 0.9.3

=== debian/changelog ===
ffindex (0.9.3-1) unstable; urgency=low

  * Initial release (Closes: #661111)

 -- Laszlo Kajan <lkajan@rostlab.org>  Fri, 24 Feb 2012 10:38:57 +0100
