=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@ --parallel

FFMANPAGES = ffindex_build.1 ffindex_get.1 ffindex_modify.1
BINNAMES =	ffindex_build="build file index from files in directories";\
		ffindex_get="retrieve entries from file index";\
		ffindex_modify="modify file index entries";\

.PHONY: override_dh_installman
override_dh_installman: $(FFMANPAGES)
	dh_installman

$(FFMANPAGES): %.1 : debian/tmp/usr/bin/%
	unset LD_PRELOAD && export LD_LIBRARY_PATH=debian/tmp/usr/lib && eval '$(BINNAMES)' && help2man --no-info --no-discard-stderr '--help-option= ' -n "$$$*" --version-option="-v" '$<' -o '$@'

.PHONY: override_dh_clean
override_dh_clean:
	rm -f $(FFMANPAGES)
	dh_clean

.PHONY: override_dh_strip
override_dh_strip:
	dh_strip --dbg-package=ffindex-dbg

get-orig-source:
	mkdir -p ../tarballs
	uscan --verbose --force-download --destdir=../tarballs
