## ffindex 0.9.9

=== debian/changelog ===
ffindex (0.9.9-2) unstable; urgency=low

  * Fixed 'bc' not found issue in d/rules (Closes: #696285).

 -- Laszlo Kajan <lkajan@rostlab.org>  Wed, 19 Dec 2012 00:39:51 +0100

ffindex (0.9.9-1) unstable; urgency=low

  * New upstream release

 -- Laszlo Kajan <lkajan@rostlab.org>  Sun, 16 Dec 2012 14:47:49 +0100

ffindex (0.9.8-1) unstable; urgency=low

  * New upstream release.
  * Added symbols control file.

 -- Laszlo Kajan <lkajan@rostlab.org>  Wed, 27 Jun 2012 15:27:47 +0200
