=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,18 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+export CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
+export CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
+export CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
+export LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
+
+# lkajan: work in progress, enable this in next upstream release, after speaking to upstream
+#export HAVE_MPI:=1
+
 %:
 	dh $@ --parallel
 
-FFMANPAGES = ffindex_apply.1 ffindex_build.1 ffindex_from_fasta.1 ffindex_get.1 ffindex_modify.1
+FFMANPAGES = ffindex_apply.1 ffindex_build.1 ffindex_from_fasta.1 ffindex_get.1 ffindex_modify.1 ffindex_unpack.1
 .PHONY: ffmanpages
 ffmanpages: $(FFMANPAGES)
 BINNAMES =	\
@@ -15,6 +23,7 @@
 		ffindex_from_fasta="populate index from FASTA file";\
 		ffindex_get="retrieve entries from file index";\
 		ffindex_modify="modify file index entries";\
+		ffindex_unpack="unpack file index entries";
 
 .PHONY: override_dh_installman
 override_dh_installman: $(FFMANPAGES)
