## ffindex 0.9.9.1

=== debian/changelog ===
ffindex (0.9.9.1-1) unstable; urgency=low

  * New upstream release. Shared library sources did not change.

 -- Laszlo Kajan <lkajan@rostlab.org>  Thu, 16 May 2013 14:40:05 +0200
