=== debian/changelog ===
ffindex (0.9.9.3-1) unstable; urgency=low

  * New upstream release.
  * Up-to-date standards-version.
  * Vcs fields updated.

 -- Laszlo Kajan <lkajan@debian.org>  Mon, 25 Nov 2013 20:01:02 +0100
