=== debian/control ===
--- 
+++ 
@@ -2,13 +2,12 @@
 Section: science
 Priority: extra
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Laszlo Kajan <lkajan@rostlab.org>
+Uploaders: Laszlo Kajan <lkajan@debian.org>
 Build-Depends: debhelper (>= 8.0.0), help2man
-Standards-Version: 3.9.3
-Homepage: http://pubshare.genzentrum.lmu.de/scientific_computing/software/ffindex/
-Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/ffindex/trunk/
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/ffindex/trunk/
-DM-Upload-Allowed: yes
+Standards-Version: 3.9.4
+Homepage: http://www.splashground.de/~andy/programs/FFindex/
+Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/ffindex/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/ffindex/trunk/
 
 Package: ffindex
 Architecture: any
