=== debian/rules ===
--- 
+++ 
@@ -45,7 +45,7 @@
 # ffindex has an overly large default for FFINDEX_MAX_INDEX_ENTRIES (40000000). In order to require less RAM for testing the package (make check), a more modest value is set below.
 .PHONY: override_dh_auto_test
 override_dh_auto_test:
-	dh_auto_test -- FFINDEX_MAX_INDEX_ENTRIES=20000
+	dh_auto_test -- FFINDEX_MAX_INDEX_ENTRIES=20000 check
 
 get-orig-source:
 	mkdir -p ../tarballs
