=== debian/watch ===
version=3

# Homepage  Pattern  [Version  [Action]]
http://www.splashground.de/~andy/programs/FFindex/ \
	ffindex-([0-9][0-9.]*)\.tar\.[gzbl2]{2,3}
