=== debian/changelog ===
ffindex (0.9.9.6-2) unstable; urgency=medium

  * Install ffindex_posix_search.h (see #802076)

 -- Andreas Tille <tille@debian.org>  Sun, 18 Oct 2015 00:24:22 +0200

ffindex (0.9.9.6-1) unstable; urgency=medium

  * New upstream version
  * Remove symbols file
  * DEP5
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Tue, 15 Sep 2015 08:09:23 +0200

ffindex (0.9.9.3-2) unstable; urgency=medium

  * Build with clang (thanks for the patch to Alexander <sanek23994@gmail.com>)
    Closes: #758149
  * debian/control:
     - add myself to Uploaders
     - Priotity: optional
     - debhelper 9
     - cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Fri, 15 Aug 2014 09:25:28 +0200
