=== debian/control ===
--- 
+++ 
@@ -1,17 +1,23 @@
 Source: ffindex
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Laszlo Kajan <lkajan@debian.org>,
+           Andreas Tille <tille@debian.org>
 Section: science
-Priority: extra
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Laszlo Kajan <lkajan@debian.org>
-Build-Depends: debhelper (>= 8.0.0), help2man
-Standards-Version: 3.9.4
+Priority: optional
+Build-Depends: debhelper (>= 9),
+               help2man,
+#               libopenmpi-dev,
+#               openmpi-bin  ... needs another Build-Depends to create the manpage - but which one?
+Standards-Version: 3.9.6
+Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/ffindex/trunk/
+Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/ffindex/trunk/
 Homepage: http://www.splashground.de/~andy/programs/FFindex/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/ffindex/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/ffindex/trunk/
 
 Package: ffindex
 Architecture: any
-Depends: libffindex0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libffindex0 (= ${binary:Version}),
+         ${shlibs:Depends},
+         ${misc:Depends}
 Description: simple index/database for huge amounts of small files
  FFindex is a very simple index/database for huge amounts of small files. The
  files are stored concatenated in one big data file, separated by '\0'. A
@@ -24,7 +30,8 @@
 Package: libffindex0
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Description: library for simple index/database for huge amounts of small files
  FFindex is a very simple index/database for huge amounts of small files. The
  files are stored concatenated in one big data file, separated by '\0'. A
@@ -37,7 +44,8 @@
 Package: libffindex0-dev
 Architecture: any
 Section: libdevel
-Depends: libffindex0 (= ${binary:Version}), ${misc:Depends}
+Depends: libffindex0 (= ${binary:Version}),
+         ${misc:Depends}
 Provides: libffindex-dev
 Description: library for simple index/database for huge amounts of small files (development)
  FFindex is a very simple index/database for huge amounts of small files. The
@@ -52,7 +60,10 @@
 Package: ffindex-dbg
 Architecture: any
 Section: debug
-Depends: ffindex (= ${binary:Version}), libffindex0 (= ${binary:Version}), ${misc:Depends}
+Priority: extra
+Depends: ffindex (= ${binary:Version}),
+         libffindex0 (= ${binary:Version}),
+         ${misc:Depends}
 Description: simple index/database for huge amounts of small files (debug)
  FFindex is a very simple index/database for huge amounts of small files. The
  files are stored concatenated in one big data file, separated by '\0'. A
