=== debian/changelog ===
ffindex (0.9.9.7-4) unstable; urgency=medium

  * Team upload
  * Fix autopkgtest: (Closes: #851658)
    - Really limit the amount of RAM needed
    - Sort the ffindex before querying or unlinking
  * Update debian/copyright
  * Drop debian/libffindex0.lintian-overrides and
    debian/README.source, no longer required
  * Generate manpages for ffindex_apply_mpi and ffindex_from_tsv
  * Pass CPPFLAGS and LDFLAGS for hardening
  * Bump Standards-Version to 4.0.0, no further changes

 -- Graham Inggs <ginggs@debian.org>  Thu, 29 Jun 2017 16:13:06 +0200

ffindex (0.9.9.7-3) unstable; urgency=medium

  * Fix autopkgtest

 -- Andreas Tille <tille@debian.org>  Sun, 15 Jan 2017 10:37:05 +0100

ffindex (0.9.9.7-2) unstable; urgency=medium

  * Team upload.
  [ Canberk Koç ]
  * Autopkgtest suite added.

  [ Andreas Tille ]
  * Moved packaging from SVN to Git
  * Use chrpath to remove rpath since that's a lintian error
  * Remove explicit -dbg package
  * Fix autopkgtest
  * debhelper 10

 -- Andreas Tille <tille@debian.org>  Thu, 29 Dec 2016 23:10:15 +0100

ffindex (0.9.9.7-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * enable mpi

 -- Andreas Tille <tille@debian.org>  Sun, 08 May 2016 00:43:21 +0200
