=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                help2man,
-#               libopenmpi-dev,
-#               openmpi-bin  ... needs another Build-Depends to create the manpage - but which one?
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/ffindex/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/ffindex/trunk/
+               libopenmpi-dev,
+               openmpi-bin,
+               chrpath
+Standards-Version: 4.0.0
+Vcs-Browser: https://anonscm.debian.org/git/debian-med/ffindex.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/ffindex.git
 Homepage: http://www.splashground.de/~andy/programs/FFindex/
 
 Package: ffindex
@@ -56,19 +57,3 @@
  .
  This package contains the header files and documentation needed to develop
  applications with libffindex.
-
-Package: ffindex-dbg
-Architecture: any
-Section: debug
-Priority: extra
-Depends: ffindex (= ${binary:Version}),
-         libffindex0 (= ${binary:Version}),
-         ${misc:Depends}
-Description: simple index/database for huge amounts of small files (debug)
- FFindex is a very simple index/database for huge amounts of small files. The
- files are stored concatenated in one big data file, separated by '\0'. A
- second file contains a plain text index, giving name, offset and length of
- the small files. The lookup is currently done with a binary search on an
- array made from the index file.
- .
- This package provides the detached debug symbols for ffindex and libffindex.
