## ffindex 0.9.9.9

=== perl5/Makefile ===
test:
	perl test.pl
