=== debian/changelog ===
ffindex (0.9.9.9-6) unstable; urgency=medium

  * Fix watch file
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 03 Nov 2022 18:10:23 +0100

ffindex (0.9.9.9-5) unstable; urgency=medium

  [ Steffen Moeller ]
  * Fix watchfile to detect new versions on github (routine-update)

  [ Andreas Tille ]
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 24 Sep 2021 11:43:49 +0200

ffindex (0.9.9.9-4) unstable; urgency=medium

  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sat, 05 Dec 2020 11:52:59 +0100

ffindex (0.9.9.9-3) unstable; urgency=medium

  * Team upload
  * Tweak cross patch to unbreak build, where
    wl,asneeded is default (Closes: #925678).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 10 May 2019 08:54:14 +0200

ffindex (0.9.9.9-2) unstable; urgency=medium

  * Team upload.
  * Add patch from helmutg@ to enable cross building; thanks! Closes: #923637.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 03 Mar 2019 13:56:41 -0600

ffindex (0.9.9.9-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 28 Jan 2019 19:03:23 +0100

ffindex (0.9.9.8-1) unstable; urgency=medium

  * Revert again to original code which now added the interface for
    hhsuite
    Closes: #907624
  * debhelper 12

 -- Andreas Tille <tille@debian.org>  Fri, 11 Jan 2019 13:40:22 +0100

ffindex (0.9.9.7.soedinglab+git20171201.74550c8-1) unstable; urgency=medium

  * Revert latest change and base packaging again on soedinglab
    (see README.source)
  * Standards-Version: 4.3.0
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target

 -- Andreas Tille <tille@debian.org>  Wed, 09 Jan 2019 16:45:16 +0100

ffindex (0.9.9.7+sog+git20160415.14274c9-1) unstable; urgency=medium

  * The previous location on Github was an improperly chosen fork
    (see https://github.com/soedinglab/ffindex_soedinglab/issues/4)
    Here the version is now named "0.9.9.7+sog" (Saved On Github)
    to make it alphabethically later than the previous one.
    Closes: #907624
  * debhelper 11
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Fri, 21 Dec 2018 08:39:13 +0100

ffindex (0.9.9.7+soedinglab+git20180802.74550c8-1) unstable; urgency=medium

  * Fix watch file (version should actually be +git20171201.74550c8 but
    its pointless to add an epoch)
  * Fix Vcs-Browser
  * Add DEP3 header
  * Add missing Build-Depends: cmake

 -- Andreas Tille <tille@debian.org>  Thu, 30 Aug 2018 11:55:59 +0200

ffindex (0.9.9.7+soedinglab+git20180802-1) unstable; urgency=medium

  * Team upload.

  * New upstream source to help compile hhsuite 3
  * Removed 'get-orig-source' debian/rules target
  * Introduction of 'basename' does not apply and should go through
    upstream - skipped
  * Removed any notion of _tsv binary that do not seem
    available upstream.

 -- Steffen moeller <moeller@debian.org>  Thu, 02 Aug 2018 18:45:59 +0200
