=== debian/control ===
--- 
+++ 
@@ -4,15 +4,18 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 13),
                help2man,
                libopenmpi-dev,
                openmpi-bin,
-               chrpath
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/git/debian-med/ffindex.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/ffindex.git
-Homepage: http://www.splashground.de/~andy/programs/FFindex/
+               cmake,
+               chrpath,
+               pkg-config
+Standards-Version: 4.6.1
+Vcs-Browser: https://salsa.debian.org/med-team/ffindex
+Vcs-Git: https://salsa.debian.org/med-team/ffindex.git
+Homepage: https://github.com/ahcm/ffindex
+Rules-Requires-Root: no
 
 Package: ffindex
 Architecture: any
