=== debian/rules ===
--- 
+++ 
@@ -29,6 +29,10 @@
 		ffindex_apply_mpi="apply a program to each FFindex entry (mpi enhanced)";\
 		ffindex_from_tsv="populate index from TSV file";
 
+# MPI binaries built when openmpi headers+library installed
+FFMANPAGES += ffindex_apply_mpi.1
+BINNAMES   += ffindex_apply_mpi="apply a program to each FFindex entry (mpi enhanced)";
+
 override_dh_installman: $(FFMANPAGES)
 	dh_installman
 
@@ -46,11 +50,9 @@
 # [Laszlo Kajan <lkajan@rostlab.org>]
 # ffindex has an overly large default for FFINDEX_MAX_INDEX_ENTRIES (40000000). In order to require less RAM for testing the package (make check), a more modest value is set below.
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	dh_auto_test -- FFINDEX_MAX_INDEX_ENTRIES=20000 check
-
-get-orig-source:
-	mkdir -p ../tarballs
-	uscan --verbose --force-download --destdir=../tarballs
+endif
 
 override_dh_installexamples:
 	dh_installexamples
