=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
https://github.com/ahcm/ffindex/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

# This was the original with at some time stalled development
#opts="mode=git,pretty=0.9.9.7+sog+git%cd.%h" \
#    https://github.com/ahcm/ffindex.git HEAD

# This id the fork from soedinglab that causes SIGSEGV
# opts="mode=git,pretty=0.9.9.7.soedinglab+git%cd.%h" \
#    https://github.com/soedinglab/ffindex_soedinglab.git HEAD
